%define gitdate 20110630
%define git_version e9e6af2

%define snapshot %{gitdate}git%{git_version}

Name:           wlmproxy
Version:        0.2.0
Release:        0.1.%{snapshot}%{?dist}
Summary:        An advanced proxy for the MSN Messenger protocol

Group:          System Environment/Daemons
License:        BSD
URL:            http://wlmproxy.org
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone -b libevent2 https://github.com/poetinha/wlmproxy.git
#  cd wlmproxy
#  git archive --format=tar --prefix=wlmproxy-0.2.0/ e9e6af2 | gzip -n >wlmproxy-0.2.0-20110630gite9e6af2.tar.gz
Source0:        %{name}-%{version}-%{snapshot}.tar.gz
Source1:        %{name}.tmpfiles.d

BuildRequires:  boost-devel
BuildRequires:  dolphin-connector-devel >= 1.1
BuildRequires:  libevent-devel
BuildRequires:  openssl-devel
BuildRequires:  libxml2-devel
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun):chkconfig, initscripts
%if 0%{?fedora} >= 15
Requires:       systemd-units
%endif

%description
wlmproxy is a transparent proxy server for the MSN protocol.
It supports all versions of MSNP, from 8 up to 21.

%prep
%setup -q

%build
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}

%if 0%{?fedora} >= 15
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf
%endif

install -p -m 755 wlmproxy $RPM_BUILD_ROOT%{_sbindir}
install -p -m 644 extras/wlmproxy.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install -p -m 755 extras/wlmproxy.init $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -p -m 640 wlmproxy.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%pre
getent group wlmproxy >/dev/null || groupadd -r wlmproxy
getent passwd wlmproxy >/dev/null || \
useradd -r -g wlmproxy -d '/' -s /sbin/nologin \
    -c 'wlmproxy daemon account' wlmproxy
exit 0

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root,-)
%doc ChangeLog create_mysql.sql LICENSE README TODO
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_initrddir}/%{name}
%if 0%{?fedora} >= 15
%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf
%endif
%attr(755,wlmproxy,wlmproxy) %dir %{_localstatedir}/run/%{name}
%attr(755,root,root) %dir %{_sysconfdir}/%{name}
%attr(640,root,wlmproxy) %config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/*

%changelog
* Thu Jun 30 2011 William Lima <wlima@primate.com.br> - 0.2.0-0.1.20110630gite9e6af2
- Update to snapshot 20110630gite9e6af2

* Sat May 21 2011 William Lima <wlima@primate.com.br> - 0.1.3-0.1.20110521git67984d2
- Update to snapshot 20110521git67984d2

* Wed May 04 2011 William Lima <wlima@primate.com.br> - 0.1.2-2
- Fix macro consistency
- Use gzip -n to exclude timestamp from compressed tarball

* Mon May 02 2011 William Lima <wlima@primate.com.br> - 0.1.2-1
- Initial package
